if = {
	#on the off chance that more than one person of the same dynasty are autobuilding, and a heir.
	limit={ NOT = {has_character_flag = {{enabled_flag}}} }
	{% for x in flags -%}
	if = { 
		limit = { has_dynasty_flag = {{x}} }
		set_character_flag = {{x}}
		}
	{% endfor -%}	
	set_character_flag = {{ enabled_flag }}
	character_event = {id={{start_event}}}
}
